package com.huimv.eartag.producer;

import com.huimv.eartag.utils.Const;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class ManageProducer {
    @Autowired
    RabbitTemplate rabbitTemplate;  //使用RabbitTemplate,这提供了接收/发送等等方法

    /**
     * @Method      : sendSyncDeviceRegister
     * @Description : 处理同步设备注册相关信息
     * @Params      : [deviceRegister]
     * @Return      : java.lang.String
     *
     * @Author      : ZhuoNing
     * @Date        : 2022/4/1
     * @Time        : 15:19
     */
    public String sendSyncDeviceRegister(String deviceRegister) {
        Map map = new HashMap();
        map.put("deviceRegister",deviceRegister);
        rabbitTemplate.convertAndSend(Const.EXCHANGE_SYNC_DEVICE_REGISTER, Const.ROUTING_KEY_SYNC_DEVICE_REGISTER, map);
        System.out.println("同步设备注册信息 >>"+map.toString());
        return "ok";
    }

    /**
     * @Method      : sendSyncDeviceTotal
     * @Description : 发送同步设备总数
     * @Params      : [farmId]
     * @Return      : void
     * 
     * @Author      : ZhuoNing
     * @Date        : 2022/4/1       
     * @Time        : 15:19
     */
    public void sendSyncDeviceTotal(String farmId, String deviceCode) {
//        System.out.println("设置取消状态 2.");
        Map map = new HashMap();
        map.put("farmId",farmId);
        map.put("deviceCode",deviceCode);
        rabbitTemplate.convertAndSend(Const.EXCHANGE_SYNC_DEVICE_TOTAL, Const.ROUTING_KEY_SYNC_DEVICE_TOTAL, map);
        System.out.println("设置取消状态 3.同步设备总数信息 >>"+map.toString());
    }

    //更新设备别名
    public void sendUpdateDeviceAlias(String deviceRegisterText) {
        
    }
}
